Skip to main content
GET
/
payment-methods
/
{id}
Get a business billing payment method
curl --request GET \
  --url https://api.leadping.ai/payment-methods/{id}
{
  "id": "<string>",
  "brand": "<string>",
  "last4": "<string>",
  "expMonth": "<string>",
  "expYear": "<string>",
  "isDefault": true,
  "createdAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

The ID of the payment method to retrieve.

Response

Payment method was successfully retrieved.

API DTO containing stripe payment method data used by Leadping API contracts.

id
string
required

The unique ID for this Stripe payment method.

brand
string
required

The brand value for this Stripe payment method.

last4
string
required

The date and time for the last4 value on this Stripe payment method.

expMonth
string<int32>

The exp month value for this Stripe payment method.

Pattern: ^-?(?:0|[1-9]\d*)$
expYear
string<int32>

The exp year value for this Stripe payment method.

Pattern: ^-?(?:0|[1-9]\d*)$
isDefault
boolean

Whether this Stripe payment method is default.

createdAt
string<date-time> | null

The date and time for the created at value on this Stripe payment method.